---
updatedAt: 2026-06-30T13:37:51.000Z
agentTools:
  projectIndex: https://docs.trustfull.com/llms.txt
---

# Trustfull Login (Score)

Trustfull Login (Score)

To use this API, you must first follow the prerequisites as described [HERE](https://docs.trustfull.com/docs/login)

## What is Trustfull Login score?

The Login Score API evaluates user login events by analyzing behavioral and device data, returning a risk-based score and cluster to help determine the appropriate authentication action.

## Request

following an example of a **Trustfull Login score**

```shell
curl --request POST \
     --url POST http://api.fido.id/1.0/track/results?session_id={session_id} \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'x-api-key: [your_app_key]' 
```

## Response

Following an example of the response:

```json
{
    "transaction_id": "158db860-67e6-4ef7-8162-1a23a5e16cf5",
    "username": "johndoe",
    "app_key": "TFB-abc",
    "session_id": "session-123",
    "browser_battery_charging": true,
    "browser_battery_level": 85,
    "browser_device_operating_system": "Android",
    "browser_device_type": "desktop",
    "browser_has_privacy_related_plugins": true,
    "browser_name": "Chrome",
    "browser_language": "en-US",
    "browser_timezone": "America/New_York",
    "browser_version": "114.0.1",
    "browser_cpu_class": "x86",
    "browser_cpu_cores": "12",
    "browser_video_card_vendor": "google inc. (intel)",
    "browser_video_card_renderer": "angle (intel, mesa intel(r) graphics (rpl-u), opengl 4.6)",
    "browser_media_devices_count": "3",
    "browser_media_devices_list": "audioinput,videoinput,audiooutput",
    "browser_screen_resolution": "1920x1080",
    "browser_viewport": "1193x1327",
    "browser_color_depth": "24",
    "browser_cookies_enabled": true,
    "browser_incognito_mode": true,
    "device_request_time": "2024-12-12T10:00:00Z",
    "ip": "192.168.0.1",
    "ip_black_list_count": 5,
    "ip_city": "New York",
    "ip_company_domain": "google.com",
    "ip_connection_speed": "company/T1",
    "ip_connection_type": "Reserved",
    "ip_country": "United States",
    "ip_country_code": "US",
    "ip_css_count": 3,
    "ip_css_in_days": 7,
    "ip_is_hosting": true,
    "ip_is_mobile": false,
    "ip_isp": "Comcast",
    "ip_is_proxy": false,
    "ip_is_relay": false,
    "ip_is_tor": false,
    "ip_is_valid_format": true,
    "ip_is_vpn": false,
    "ip_lat": "40.7128",
    "ip_lon": "-74.0060",
    "ip_proxy_name": "ProxyXYZ",
    "ip_proxy_type": "datacenter",
    "ip_timezone": "CET",
    "ip_timezone_request_time": "night",
    "ip_xbl_count": 2,
    "ip_xbl_in_days": 2,
    "ip_zip": "10001",
    "browser_device_model": "Galaxy S7 Edge",
    "browser_device_brand": "Samsung",
    "ip_vpn_name": "NordVPN",
    "score": 649,
    "score_cluster": "high"
}
```

| name                                    | type                                                                                                                                                                                                                                                                                                                                                                                                          |
| --------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| transaction\_id                         | string<br /><br />Unique identifier for the transaction<br /><br />Ex: 158db860-67e6-4ef7-8162-1a23a5e16cf5                                                                                                                                                                                                                                                                                                   |
| username                                | string<br /><br />The username associated with the session or transaction<br /><br />Ex: johndoe                                                                                                                                                                                                                                                                                                              |
| app\_key                                | string<br /><br />The application key associated with the request<br /><br />Ex: TFB-abc                                                                                                                                                                                                                                                                                                                      |
| session\_id                             | string<br /><br />Session identifier for the login interaction<br /><br />Ex: session-123                                                                                                                                                                                                                                                                                                                     |
| browser\_battery\_charging              | boolean<br /><br />Indicates whether the battery is charging<br /><br />Ex: true                                                                                                                                                                                                                                                                                                                              |
| browser\_battery\_level                 | integer<br /><br />Current battery level as a percentage<br /><br />Ex: 85                                                                                                                                                                                                                                                                                                                                    |
| browser\_device\_operating\_system      | string<br /><br />Operating system of the device running the browser<br /><br />Ex: Android                                                                                                                                                                                                                                                                                                                   |
| browser\_device\_type                   | string<br /><br />Type of device running the browser (e.g., desktop, mobile)<br /><br />Ex: desktop                                                                                                                                                                                                                                                                                                           |
| browser\_has\_privacy\_related\_plugins | boolean<br /><br />Indicates whether the browser has privacy-related plugins installed<br /><br />Ex: true                                                                                                                                                                                                                                                                                                    |
| browser\_name                           | string<br /><br />Name of the browser being used<br /><br />Ex: Chrome                                                                                                                                                                                                                                                                                                                                        |
| browser\_language                       | string<br /><br />Language of the browser, in the standard RFC 9110<br /><br />Ex: en-US                                                                                                                                                                                                                                                                                                                      |
| browser\_timezone                       | string<br /><br />Timezon of the browser, in the standard IANA Time Zone Database<br /><br />Ex: America/New\_York                                                                                                                                                                                                                                                                                            |
| browser\_version                        | string<br /><br />Version of the browser being used<br /><br />Ex: 114.0.1                                                                                                                                                                                                                                                                                                                                    |
| browser\_cpu\_class                     | string<br /><br />CPU Architecture<br /><br />Ex: x86                                                                                                                                                                                                                                                                                                                                                         |
| browser\_cpu\_cores                     | integer<br /><br />Number of the cores of the CPU<br /><br />Ex: 12                                                                                                                                                                                                                                                                                                                                           |
| browser\_video\_card\_vendor            | string<br /><br />The vendor of the CPU<br /><br />Ex: google inc. (intel)                                                                                                                                                                                                                                                                                                                                    |
| browser\_video\_card\_renderer          | string<br /><br />The CPU render engine<br /><br />Ex: angle (intel, mesa intel(r) graphics (rpl-u), opengl 4.6)                                                                                                                                                                                                                                                                                              |
| browser\_media\_devices\_count          | integer<br /><br />The count of media device<br /><br />Ex: 3                                                                                                                                                                                                                                                                                                                                                 |
| browser\_media\_devices\_list           | string<br /><br />The list of media device<br /><br />Ex: audioinput,videoinput,audiooutput                                                                                                                                                                                                                                                                                                                   |
| browser\_screen\_resolution             | string<br /><br />The resolution of the browser<br /><br />Ex: 1920x1080                                                                                                                                                                                                                                                                                                                                      |
| browser\_viewport                       | string<br /><br />The viewport of the browser<br /><br />Ex: 1193x1327                                                                                                                                                                                                                                                                                                                                        |
| browser\_color\_depth                   | integer<br /><br />The browser color depth<br /><br />Ex: 24                                                                                                                                                                                                                                                                                                                                                  |
| browser\_cookies\_enabled               | boolean<br /><br />Indicates if the browser has cookies enabled<br /><br />Ex: true                                                                                                                                                                                                                                                                                                                           |
| browser\_incognito\_mode                | boolean<br /><br />Indicates if the browser is in incognito mode<br /><br />Ex: true                                                                                                                                                                                                                                                                                                                          |
| device\_request\_time                   | string<br /><br />The timestamp of the request from the device<br /><br />Ex: 2024-12-12T10:00:00Z                                                                                                                                                                                                                                                                                                            |
| ip                                      | string<br /><br />IP address of the login event<br /><br />Ex: 192.168.0.1                                                                                                                                                                                                                                                                                                                                    |
| ip\_black\_list\_count                  | integer<br /><br />The number of providers that have flagged this IP as spam<br /><br />Ex: 5                                                                                                                                                                                                                                                                                                                 |
| ip\_city                                | string<br /><br />City associated with the IP address<br /><br />Ex: New York                                                                                                                                                                                                                                                                                                                                 |
| ip\_company\_domain                     | string<br /><br />The name of the domain of the company that owns the domain, if found<br /><br />Ex: google.com                                                                                                                                                                                                                                                                                              |
| ip\_connection\_speed                   | string<br /><br />Internet connection speed associated to the ip address:<br />    - **company/T1**<br />    - **broadband/cable/fiber**<br />    - **mobile**<br />    <br /><br />Ex: company/T1<br /><br />Enum: company/T1,broadband/cable/fiber,mobile                                                                                                                                                   |
| ip\_connection\_type                    | string<br /><br />Usage type classification of ISP or company:<br />    - **Commercial**<br />    - **Content Delivery Network**<br />    - **Fixed Line**<br />    - **Mobile ISP**<br />    - **Reserved**<br />    - **University / College / School**<br />    <br /><br />Ex: Reserved<br /><br />Enum: Commercial,Content Delivery Network,Fixed Line,Mobile ISP,Reserved,University / College / School |
| ip\_country                             | string<br /><br />Country name associated with the IP address<br /><br />Ex: United States                                                                                                                                                                                                                                                                                                                    |
| ip\_country\_code                       | string<br /><br />Country associated with the IP address, ISO 3166 alpha-2<br /><br />Ex: US                                                                                                                                                                                                                                                                                                                  |
| ip\_css\_count                          | integer<br /><br />The number of times this IP address has been reported in a Combined Spam Sources (CSS)<br /><br />Ex: 3                                                                                                                                                                                                                                                                                    |
| ip\_css\_in\_days                       | integer<br /><br />The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.<br /><br />Ex: 7                                                                                                                                                                                                                                            |
| ip\_is\_hosting                         | boolean<br /><br />Indicates if the IP address is an hosting provider<br /><br />Ex: true                                                                                                                                                                                                                                                                                                                     |
| ip\_is\_mobile                          | boolean<br /><br />Indicates if the IP address is associated with a mobile connection<br /><br />Ex: false                                                                                                                                                                                                                                                                                                    |
| ip\_isp                                 | string<br /><br />Internet service provider associated with the IP address<br /><br />Ex: Comcast                                                                                                                                                                                                                                                                                                             |
| ip\_is\_proxy                           | boolean<br /><br />Indicates if the IP address is a proxy<br /><br />Ex: false                                                                                                                                                                                                                                                                                                                                |
| ip\_is\_relay                           | boolean<br /><br />Indicates if the IP address is a relay<br /><br />Ex: false                                                                                                                                                                                                                                                                                                                                |
| ip\_is\_tor                             | boolean<br /><br />Indicates if the IP address is part of the Tor network<br /><br />Ex: false                                                                                                                                                                                                                                                                                                                |
| ip\_is\_valid\_format                   | boolean<br /><br />Indicates if the IP address is in a valid format<br /><br />Ex: true                                                                                                                                                                                                                                                                                                                       |
| ip\_is\_vpn                             | boolean<br /><br />Indicates if the IP address is associated with a VPN<br /><br />Ex: false                                                                                                                                                                                                                                                                                                                  |
| ip\_lat                                 | string<br /><br />Latitude of the location associated with the IP address<br /><br />Ex: 40.7128                                                                                                                                                                                                                                                                                                              |
| ip\_lon                                 | string<br /><br />Longitude of the location associated with the IP address<br /><br />Ex: -74.0060                                                                                                                                                                                                                                                                                                            |
| ip\_proxy\_name                         | string<br /><br />Name of the proxy associated with the IP address, if any<br /><br />Ex: ProxyXYZ                                                                                                                                                                                                                                                                                                            |
| ip\_proxy\_type                         | string<br /><br />When the IP address is a Proxy, indicates the type of Proxy<br /><br />Ex: datacenter<br /><br />Enum: datacenter,residential                                                                                                                                                                                                                                                               |
| ip\_timezone                            | string<br /><br />The Timezone the IP address belongs to<br /><br />Ex: CET                                                                                                                                                                                                                                                                                                                                   |
| ip\_timezone\_request\_time             | string<br /><br />Time of the day the user is requesting your service<br /><br />Ex: night<br /><br />Enum: morning,afternoon,evening,night                                                                                                                                                                                                                                                                   |
| ip\_xbl\_count                          | integer<br /><br />The number of times this IP address has been reported in a Exploits Blocklist (XBL)<br /><br />Ex: 2                                                                                                                                                                                                                                                                                       |
| ip\_xbl\_in\_days                       | integer<br /><br />The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.<br /><br />Ex: 2                                                                                                                                                                                                                                            |
| ip\_zip                                 | string<br /><br />ZIP code associated with the IP address<br /><br />Ex: 10001                                                                                                                                                                                                                                                                                                                                |
| browser\_device\_model                  | string<br /><br />Device model running the browser<br /><br />Ex: Galaxy S7 Edge                                                                                                                                                                                                                                                                                                                              |
| browser\_device\_brand                  | string<br /><br />Brand of the device running the browser<br /><br />Ex: Samsung                                                                                                                                                                                                                                                                                                                              |
| ip\_vpn\_name                           | string<br /><br />Name of the VPN associated with the IP address, if any<br /><br />Ex: NordVPN                                                                                                                                                                                                                                                                                                               |
| score                                   | integer<br /><br />A number ranging from 0 to 1000 that represents the quality score of the login<br /><br />Ex: 649                                                                                                                                                                                                                                                                                          |
| score\_cluster                          | string<br /><br />A cluster categorization that summarizes the quality score of the login<br /><br />Ex: high<br /><br />Enum: very\_low,low,review,high,very\_high                                                                                                                                                                                                                                           |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "PRODUCTS",
    "description": "Hub is the main entry point for the API, it is used to retrieve data from the system",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.fido.id/{version}",
      "description": "Production",
      "variables": {
        "version": {
          "enum": [
            "1.0"
          ],
          "default": "1.0"
        }
      }
    }
  ],
  "paths": {
    "/track/results": {
      "post": {
        "tags": [
          "Products"
        ],
        "summary": "Trustfull Login (Score)",
        "description": "Trustfull Login (Score)",
        "operationId": "trustfull-login-result",
        "parameters": [
          {
            "$ref": "#/components/parameters/content-type"
          },
          {
            "$ref": "#/components/parameters/accept"
          },
          {
            "$ref": "#/components/parameters/x-api-key"
          },
          {
            "$ref": "#/components/parameters/session-id"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/LoginScoreResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "LoginScore": {
        "title": "LoginScore",
        "description": "LoginScore",
        "properties": {
          "transaction_id": {
            "description": "Unique identifier for the transaction",
            "type": "string",
            "example": "158db860-67e6-4ef7-8162-1a23a5e16cf5",
            "nullable": true
          },
          "username": {
            "description": "The username associated with the session or transaction",
            "type": "string",
            "example": "johndoe",
            "nullable": true
          },
          "app_key": {
            "description": "The application key associated with the request",
            "type": "string",
            "example": "TFB-abc",
            "nullable": true
          },
          "session_id": {
            "description": "Session identifier for the login interaction",
            "type": "string",
            "example": "session-123",
            "nullable": true
          },
          "browser_battery_charging": {
            "description": "Indicates whether the battery is charging",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "browser_battery_level": {
            "description": "Current battery level as a percentage",
            "type": "integer",
            "example": 85,
            "nullable": true
          },
          "browser_device_operating_system": {
            "description": "Operating system of the device running the browser",
            "type": "string",
            "example": "Android",
            "nullable": true
          },
          "browser_device_type": {
            "description": "Type of device running the browser (e.g., desktop, mobile)",
            "type": "string",
            "example": "desktop",
            "nullable": true
          },
          "browser_has_privacy_related_plugins": {
            "description": "Indicates whether the browser has privacy-related plugins installed",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "browser_name": {
            "description": "Name of the browser being used",
            "type": "string",
            "example": "Chrome",
            "nullable": true
          },
          "browser_language": {
            "description": "Language of the browser, in the standard RFC 9110",
            "type": "string",
            "example": "en-US",
            "nullable": true
          },
          "browser_timezone": {
            "description": "Timezon of the browser, in the standard IANA Time Zone Database",
            "type": "string",
            "example": "America/New_York",
            "nullable": true
          },
          "browser_version": {
            "description": "Version of the browser being used",
            "type": "string",
            "example": "114.0.1",
            "nullable": true
          },
          "browser_cpu_class": {
            "description": "CPU Architecture",
            "type": "string",
            "example": "x86",
            "nullable": true
          },
          "browser_cpu_cores": {
            "description": "Number of the cores of the CPU",
            "type": "integer",
            "example": "12",
            "nullable": true
          },
          "browser_video_card_vendor": {
            "description": "The vendor of the CPU",
            "type": "string",
            "example": "google inc. (intel)",
            "nullable": true
          },
          "browser_video_card_renderer": {
            "description": "The CPU render engine",
            "type": "string",
            "example": "angle (intel, mesa intel(r) graphics (rpl-u), opengl 4.6)",
            "nullable": true
          },
          "browser_media_devices_count": {
            "description": "The count of media device",
            "type": "integer",
            "example": "3",
            "nullable": true
          },
          "browser_media_devices_list": {
            "description": "The list of media device",
            "type": "string",
            "example": "audioinput,videoinput,audiooutput",
            "nullable": true
          },
          "browser_screen_resolution": {
            "description": "The resolution of the browser",
            "type": "string",
            "example": "1920x1080",
            "nullable": true
          },
          "browser_viewport": {
            "description": "The viewport of the browser",
            "type": "string",
            "example": "1193x1327",
            "nullable": true
          },
          "browser_color_depth": {
            "description": "The browser color depth",
            "type": "integer",
            "example": "24",
            "nullable": true
          },
          "browser_cookies_enabled": {
            "description": "Indicates if the browser has cookies enabled",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "browser_incognito_mode": {
            "description": "Indicates if the browser is in incognito mode",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "device_request_time": {
            "description": "The timestamp of the request from the device",
            "type": "string",
            "example": "2024-12-12T10:00:00Z",
            "nullable": true
          },
          "ip": {
            "description": "IP address of the login event",
            "type": "string",
            "example": "192.168.0.1",
            "nullable": true
          },
          "ip_black_list_count": {
            "description": "The number of providers that have flagged this IP as spam",
            "type": "integer",
            "example": 5,
            "nullable": true
          },
          "ip_city": {
            "description": "City associated with the IP address",
            "type": "string",
            "example": "New York",
            "nullable": true
          },
          "ip_company_domain": {
            "description": "The name of the domain of the company that owns the domain, if found",
            "type": "string",
            "example": "google.com",
            "nullable": true
          },
          "ip_connection_speed": {
            "description": "Internet connection speed associated to the ip address:\n    - **company/T1**\n    - **broadband/cable/fiber**\n    - **mobile**\n    ",
            "type": "string",
            "enum": [
              "company/T1",
              "broadband/cable/fiber",
              "mobile"
            ],
            "example": "company/T1",
            "nullable": true
          },
          "ip_connection_type": {
            "description": "Usage type classification of ISP or company:\n    - **Commercial**\n    - **Content Delivery Network**\n    - **Fixed Line**\n    - **Mobile ISP**\n    - **Reserved**\n    - **University / College / School**\n    ",
            "type": "string",
            "enum": [
              "Commercial",
              "Content Delivery Network",
              "Fixed Line",
              "Mobile ISP",
              "Reserved",
              "University / College / School"
            ],
            "example": "Reserved",
            "nullable": true
          },
          "ip_country": {
            "description": "Country name associated with the IP address",
            "type": "string",
            "example": "United States",
            "nullable": true
          },
          "ip_country_code": {
            "description": "Country associated with the IP address, ISO 3166 alpha-2",
            "type": "string",
            "example": "US",
            "nullable": true
          },
          "ip_css_count": {
            "description": "The number of times this IP address has been reported in a Combined Spam Sources (CSS)",
            "type": "integer",
            "example": 3,
            "nullable": true
          },
          "ip_css_in_days": {
            "description": "The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.",
            "type": "integer",
            "example": 7,
            "nullable": true
          },
          "ip_is_hosting": {
            "description": "Indicates if the IP address is an hosting provider",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "ip_is_mobile": {
            "description": "Indicates if the IP address is associated with a mobile connection",
            "type": "boolean",
            "example": false,
            "nullable": true
          },
          "ip_isp": {
            "description": "Internet service provider associated with the IP address",
            "type": "string",
            "example": "Comcast",
            "nullable": true
          },
          "ip_is_proxy": {
            "description": "Indicates if the IP address is a proxy",
            "type": "boolean",
            "example": false,
            "nullable": true
          },
          "ip_is_relay": {
            "description": "Indicates if the IP address is a relay",
            "type": "boolean",
            "example": false,
            "nullable": true
          },
          "ip_is_tor": {
            "description": "Indicates if the IP address is part of the Tor network",
            "type": "boolean",
            "example": false,
            "nullable": true
          },
          "ip_is_valid_format": {
            "description": "Indicates if the IP address is in a valid format",
            "type": "boolean",
            "example": true,
            "nullable": true
          },
          "ip_is_vpn": {
            "description": "Indicates if the IP address is associated with a VPN",
            "type": "boolean",
            "example": false,
            "nullable": true
          },
          "ip_lat": {
            "description": "Latitude of the location associated with the IP address",
            "type": "string",
            "example": "40.7128",
            "nullable": true
          },
          "ip_lon": {
            "description": "Longitude of the location associated with the IP address",
            "type": "string",
            "example": "-74.0060",
            "nullable": true
          },
          "ip_proxy_name": {
            "description": "Name of the proxy associated with the IP address, if any",
            "type": "string",
            "example": "ProxyXYZ",
            "nullable": true
          },
          "ip_proxy_type": {
            "description": "When the IP address is a Proxy, indicates the type of Proxy",
            "type": "string",
            "enum": [
              "datacenter",
              "residential"
            ],
            "example": "datacenter",
            "nullable": true
          },
          "ip_timezone": {
            "description": "The Timezone the IP address belongs to",
            "type": "string",
            "example": "CET",
            "nullable": true
          },
          "ip_timezone_request_time": {
            "description": "Time of the day the user is requesting your service",
            "type": "string",
            "enum": [
              "morning",
              "afternoon",
              "evening",
              "night"
            ],
            "example": "night",
            "nullable": true
          },
          "ip_xbl_count": {
            "description": "The number of times this IP address has been reported in a Exploits Blocklist (XBL)",
            "type": "integer",
            "example": 2,
            "nullable": true
          },
          "ip_xbl_in_days": {
            "description": "The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.",
            "type": "integer",
            "example": 2,
            "nullable": true
          },
          "ip_zip": {
            "description": "ZIP code associated with the IP address",
            "type": "string",
            "example": "10001",
            "nullable": true
          },
          "browser_device_model": {
            "description": "Device model running the browser",
            "type": "string",
            "example": "Galaxy S7 Edge",
            "nullable": true
          },
          "browser_device_brand": {
            "description": "Brand of the device running the browser",
            "type": "string",
            "example": "Samsung",
            "nullable": true
          },
          "ip_vpn_name": {
            "description": "Name of the VPN associated with the IP address, if any",
            "type": "string",
            "example": "NordVPN",
            "nullable": true
          },
          "score": {
            "description": "A number ranging from 0 to 1000 that represents the quality score of the login",
            "type": "integer",
            "example": 649,
            "nullable": true
          },
          "score_cluster": {
            "description": "A cluster categorization that summarizes the quality score of the login",
            "type": "string",
            "enum": [
              "very_low",
              "low",
              "review",
              "high",
              "very_high"
            ],
            "example": "high",
            "nullable": true
          }
        },
        "type": "object"
      },
      "LoginScoreResponse": {
        "title": "Login Score",
        "description": "Login Score",
        "allOf": [
          {
            "$ref": "#/components/schemas/LoginScore"
          }
        ]
      }
    },
    "parameters": {
      "content-type": {
        "name": "content-type",
        "in": "header",
        "schema": {
          "type": "string",
          "default": "application/json"
        }
      },
      "accept": {
        "name": "accept",
        "in": "header",
        "schema": {
          "type": "string",
          "default": "application/json"
        }
      },
      "x-api-key": {
        "name": "x-api-key",
        "in": "header",
        "required": true,
        "schema": {
          "type": "string",
          "example": "[your-api-key]"
        }
      },
      "session-id": {
        "name": "session-id",
        "in": "query",
        "schema": {
          "type": "string",
          "default": "[session-id]"
        }
      }
    }
  }
}
```